unit CadTipoAtendimento;
                                                                                        
interface

uses
  Windows, system.UItypes, IB_Access,  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ModeloCadastro, Mask, IB_Controls, IB_Components, Grids,
  IB_Grid, StdCtrls, Buttons, ExtCtrls, ComCtrls, jpeg, AppEvnts, ImgList,
  UCBase, IB_EditButton, System.ImageList;

type
  TfrmCadTipoAtendimento = class(TFrModeloCadastro)
    edtDescricao: TIB_Edit;
    GroupBox2: TGroupBox;
    dbCodigo: TIB_Text;
    btnAvisar: TIB_CheckBox;
    procedure BtGravarClick(Sender: TObject);
    procedure BtInserirClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BtExcluirClick(Sender: TObject);
    procedure btnEditar2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadTipoAtendimento: TfrmCadTipoAtendimento;

implementation

uses DataModulo;

{$R *.dfm}

procedure TfrmCadTipoAtendimento.BtGravarClick(Sender: TObject);
begin
   if edtdescricao.Text = '' then
   begin
      MessageDlg('Informe a descrição', mtWarning, [mbOK], 0);
      edtDescricao.SetFocus;
      Exit;
   end;

   if TbPrincipal.State in [DSSINSERT] then
      descricao_auditoria := 'CADASTROU O TIPO DE ATENDIMENTO ' + TbPrincipal.FieldByName('DESCRICAO').AsString;

   if TbPrincipal.State in [DSSEDIT] then
      descricao_auditoria := 'ALTEROU O TIPO DE ATENDIMENTO '+ TbPrincipal.FieldByName('COD_TIPO_ATENDIMENTO').OldAsString+' ' + TbPrincipal.FieldByName('DESCRICAO').OldAsString;
   inherited;
end;

procedure TfrmCadTipoAtendimento.BtInserirClick(Sender: TObject);
begin
   inherited;
   TbPrincipal.FieldByName('avisar').Value := 'F';
   try
      edtDescricao.SetFocus;
      except
   end;

end;

procedure TfrmCadTipoAtendimento.FormCreate(Sender: TObject);
begin
   Gera_Codigo      := True;
   Descricao_Unica  := True;
   Campo_Tabela     := 'DESCRICAO';
   Chave_Tabela     := 'COD_TIPO_ATENDIMENTO';
   inherited;

end;

procedure TfrmCadTipoAtendimento.BtExcluirClick(Sender: TObject);
begin
   descricao_auditoria := 'EXCLUIU O TIPO DE ATENDIMENTO '+ TbPrincipal.FieldByName('COD_TIPO_ATENDIMENTO').AsString+' ' + TbPrincipal.FieldByName('DESCRICAO').AsString;
  inherited;

end;

procedure TfrmCadTipoAtendimento.btnEditar2Click(Sender: TObject);
begin
  inherited;
   edtDescricao.SetFocus;
end;

end.
